<?xml version="1.0" encoding="utf-8"?>
<MotionScene xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:motion="http://schemas.android.com/apk/res-auto">

    <Transition
        motion:constraintSetStart="@id/main_start"
        motion:constraintSetEnd="@+id/main"
        motion:duration="700">
    </Transition>

    <Transition
        motion:constraintSetStart="@id/main_start"
        motion:constraintSetEnd="@+id/settings"
        motion:duration="700">
    </Transition>

    <Transition
        motion:constraintSetStart="@id/main_start"
        motion:constraintSetEnd="@+id/timer"
        motion:duration="700">
    </Transition>

    <Transition
        motion:constraintSetStart="@id/main_start"
        motion:constraintSetEnd="@+id/action"
        motion:duration="700">
    </Transition>

    <ConstraintSet android:id="@+id/main_start">
    </ConstraintSet>

    <ConstraintSet android:id="@+id/main">
        <Constraint
            android:id="@+id/main_account"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            motion:layout_constraintEnd_toEndOf="parent"
            motion:layout_constraintHorizontal_bias="1.0"
            motion:layout_constraintStart_toStartOf="parent"
            motion:layout_constraintTop_toTopOf="parent"
            android:layout_marginTop="8dp"
            android:layout_marginEnd="8dp"
            android:visibility="visible" />
        <Constraint
            android:id="@+id/main_big_title"
            motion:layout_constraintEnd_toEndOf="parent"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            motion:layout_constraintBottom_toTopOf="@+id/main_start_button"
            motion:layout_constraintVertical_bias="0.2"
            motion:layout_constraintTop_toTopOf="parent"
            motion:layout_constraintStart_toStartOf="parent"
            android:alpha="1.0"
            android:layout_marginTop="0dp">
            <CustomAttribute
                motion:attributeName="textColor"
                motion:customColorValue="@color/white" />
        </Constraint>
        <Constraint
            android:id="@+id/main_start_button"
            motion:layout_constraintEnd_toEndOf="parent"
            android:layout_width="match_parent"
            android:layout_height="100dp"
            motion:layout_constraintBottom_toBottomOf="parent"
            android:visibility="visible"
            motion:layout_constraintStart_toStartOf="parent" />
        <Constraint
            android:id="@+id/main_settings_desc"
            motion:layout_constraintEnd_toEndOf="parent"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:visibility="visible"
            motion:layout_constraintTop_toBottomOf="@+id/main_big_title"
            motion:layout_constraintStart_toStartOf="parent" />
        <Constraint
            motion:layout_constraintEnd_toEndOf="parent"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            motion:layout_constraintBottom_toBottomOf="parent"
            android:visibility="invisible"
            motion:layout_constraintVertical_bias="0.35"
            motion:layout_constraintTop_toTopOf="parent"
            motion:layout_constraintStart_toStartOf="parent"
            android:id="@+id/main_lock_root" />
    </ConstraintSet>

    <ConstraintSet android:id="@+id/settings">
        <Constraint
            android:id="@+id/main_account"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            motion:layout_constraintEnd_toEndOf="parent"
            motion:layout_constraintHorizontal_bias="1.0"
            motion:layout_constraintStart_toStartOf="parent"
            motion:layout_constraintTop_toTopOf="parent"
            android:layout_marginTop="8dp"
            android:layout_marginEnd="8dp"
            android:visibility="visible" />
        <Constraint
            android:id="@+id/main_settings_layout"
            motion:layout_constraintEnd_toEndOf="parent"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            motion:layout_constraintStart_toStartOf="parent"
            android:visibility="visible"
            motion:layout_constraintTop_toTopOf="parent"
            motion:layout_constraintVertical_bias="0"
            motion:layout_constraintBottom_toTopOf="@+id/main_back_button"/>
        <Constraint
            android:id="@+id/main_big_title"
            motion:layout_constraintEnd_toEndOf="parent"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            motion:layout_constraintBottom_toTopOf="@+id/main_start_button"
            motion:layout_constraintVertical_bias="0"
            motion:layout_constraintTop_toTopOf="parent"
            motion:layout_constraintStart_toStartOf="parent"
            android:layout_marginTop="32dp"
            android:alpha="0.0">
            <CustomAttribute
                motion:attributeName="textColor"
                motion:customColorValue="@color/white" />
        </Constraint>
        <Constraint
            android:id="@+id/main_back_button"
            motion:layout_constraintEnd_toEndOf="parent"
            android:layout_width="300dp"
            android:layout_height="100dp"
            motion:layout_constraintBottom_toBottomOf="parent"
            android:visibility="visible"
            motion:layout_constraintStart_toStartOf="parent" />
    </ConstraintSet>

    <ConstraintSet android:id="@+id/timer">
        <Constraint
            android:layout_height="wrap_content"
            motion:layout_constraintStart_toStartOf="parent"
            motion:layout_constraintBottom_toTopOf="@+id/main_lock_root"
            motion:layout_constraintEnd_toEndOf="parent"
            android:layout_width="match_parent"
            android:id="@+id/main_big_title"
            android:alpha="1.0">
            <CustomAttribute
                motion:attributeName="textColor"
                motion:customColorValue="@color/white" />
        </Constraint>
        <Constraint
            android:id="@+id/main_lock_root"
            motion:layout_constraintEnd_toEndOf="parent"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            motion:layout_constraintBottom_toBottomOf="parent"
            motion:layout_constraintVertical_bias="0.5"
            android:visibility="visible"
            motion:layout_constraintTop_toTopOf="parent"
            motion:layout_constraintStart_toStartOf="parent" />
    </ConstraintSet>

    <ConstraintSet android:id="@+id/action">
        <Constraint
            android:layout_height="wrap_content"
            motion:layout_constraintStart_toStartOf="parent"
            motion:layout_constraintBottom_toTopOf="@+id/main_lock_root"
            motion:layout_constraintEnd_toEndOf="parent"
            android:layout_width="match_parent"
            android:alpha="1.0"
            android:id="@+id/main_big_title" >
            <CustomAttribute
                motion:attributeName="textColor"
                motion:customColorValue="@color/red" />
        </Constraint>
        <Constraint
            android:id="@+id/main_lock_root"
            motion:layout_constraintEnd_toEndOf="parent"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            motion:layout_constraintBottom_toBottomOf="parent"
            android:visibility="visible"
            motion:layout_constraintVertical_bias="0.5"
            motion:layout_constraintTop_toTopOf="parent"
            motion:layout_constraintStart_toStartOf="parent" />
    </ConstraintSet>

</MotionScene>